Summary:	The ipxping utility
Name:		ipxping
Version:	0.0
Release:	%mkrel 14
License:	Public Domain
Group:		Networking/Other
URL:		https://ibiblio.org/pub/Linux/system/Network/
Source0:	https://ibiblio.org/pub/Linux/system/Network/%{name}-%{version}.tar.gz
Patch0:		ipxping-kernel-2.2.patch
Patch1:		ipxping-fix-building-with-gcc14.patch
Requires:	ipxutils

%description
This is a Linux version of IPXPING which was originally written for Sun machines
using the /dev/nit interface, by Stephen Clover <cloverst@kai.ee.cit.ac.nz>
and Justin Hoon <hoonju@kai.ee.cit.ac.nz>.

%prep

%setup -q -n %{name}
%autopatch -p0

%build
gcc %{optflags} -o ipxping ipxping-linux.c

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1

install ipxping %{buildroot}%{_bindir}
install ipxping.1 %{buildroot}%{_mandir}/man1

%files
%defattr(0644,root,root,0755)
%doc README*
%attr(0755,root,root) %{_bindir}/ipxping
%{_mandir}/man1/ipxping.1*




%changelog
* Mon Jun 30 2025 umeabot <umeabot> 0.0-14.mga10
+ Revision: 2229523
- Mageia 10 Mass Rebuild

* Thu Oct 24 2024 ns80 <ns80> 0.0-13.mga10
+ Revision: 2111069
- try to fix building with GCC 14

* Tue Mar 15 2022 umeabot <umeabot> 0.0-12.mga9
+ Revision: 1791975
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.0-11.mga8
+ Revision: 1513661
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.0-10.mga7
+ Revision: 1298319
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.0-9.mga6
+ Revision: 946585
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0-8.mga5
+ Revision: 739001
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0-7.mga5
+ Revision: 680559
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.0-6.mga4
+ Revision: 506090
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.0-5.mga3
+ Revision: 354490
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 08 2011 ennael <ennael> 0.0-4.mga1
+ Revision: 66376
- imported package ipxping


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.0-4mdv2011.0
+ Revision: 619682
- the mass rebuild of 2010.0 packages

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.0-3mdv2010.0
+ Revision: 429544
- rebuild

* Sun Jul 20 2008 Oden Eriksson <oeriksson@mandriva.com> 0.0-2mdv2009.0
+ Revision: 239036
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Apr 17 2007 Oden Eriksson <oeriksson@mandriva.com> 0.0-1mdv2008.0
+ Revision: 13776
- Import ipxping



* Wed Apr 11 2007 Oden Eriksson <oeriksson@mandriva.com> 0.0-1mdv2007.1
- initial Mandriva package

* Tue Oct 26 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.0-3.mdk10.1.thac
- 3.mdk10.1.thac
- Where "3" is the release of the package, "mdk" is the distro, "10.1" is the release of the distro, and "thac" is the Torbjorn Turpeinen extension.

* Fri May 28 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.0-2thac
- Recompiled for Mandrake 10.0

* Mon Oct 27 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.0-1thac
- Recompiled for Mandrake 9.2

* Mon Mar 31 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.0-11mdk
- Rebuilt for Mandrake 9.1

* Mon Oct 07 2002 Torbjrn Turpeinen <tobbe@nyvalls.se> 0.0-10mdk
-rebuilt under Mandrake 9.0

* Wed Sep 18 2002 Torbjrn Turpeinen <tobbe@nyvalls.se> 0.0-9mdk
- rebuilt under Mandrake 8.2

* Mon Oct 01 2001 Peter Soos  <sp@osb.hu>
- rebuilt under RedHat Linux 7.2 beta

* Thu May 03 2001 Peter Soos  <sp@osb.hu>
- rebuilt under RedHat Linux 7.1

* Wed Apr 18 2001 Peter Soos <sp@osb.hu>
- Recompiled under RedHat Linux 7.0

* Wed May 12 1999 Peter Soos <sp@osb.hu>
- corrected the file and directory attributes to rebuild the package
  under RedHat Linux 6.0

* Fri Dec 25 1998 Peter Soos <sp@osb.hu>
- Recompiled under RedHat Linux 5.2

* Mon Jun 22 1998 Peter Soos <sp@osb.hu>
- Using %%attr

* Tue Dec 9 1997 Peter Soos <sp@osb.hu>
- Recompiled under RedHat Linux 5.0
- Now we use BuildRoot
